Create Repricer Strategy
Creates a new repricer strategy for the seller.
This operation is designed for Newegg.com and Newegg.ca.
Resource URL
Newegg.com: https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/create?sellerid={sellerid}
Newegg.ca: https://api.newegg.com/marketplace/can/contentmgmt/item/repricer/strategy/create?sellerid={sellerid}
Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks.
Parameters
| Name | Required? | Description |
|---|---|---|
| sellerId | Yes | Seller ID, used for authentication. |
| name | Yes | Strategy name. Cannot exceed 100 characters and cannot be repeated. |
| strategyTypeId | Yes | Strategy type ID. Accepted values: 2 (Buy Box Price Strategy), 3 (External Price Strategy), 4 (Match Buy Box Price Strategy). |
| beatByStep | Yes | Price adjustment step value. When stepUnit is P (Percent): must be an integer between 0 and 100. When stepUnit is F (Fixed amount): must be greater than 0 and supports up to 2 decimal places. |
| stepUnit | Yes | Step unit: P (Percent) or F (Fixed amount). |
| status | Yes | Strategy status: A (Active) or P (Paused). |
Resource Information
| HTTP Method | Authentication? | Request Formats | Response Formats | Rate Limited? | Maximum Size of Request |
|---|---|---|---|---|---|
| POST | Required | XML, JSON | XML, JSON | 500 requests per hour |
Request Body
Example: XML, Request
POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/create?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml
<NeweggAPIRequest>
<OperationType>CreateRepricerStrategy</OperationType>
<RequestBody>
<Name>test strategy</Name>
<StrategyTypeId>4</StrategyTypeId>
<BeatByStep>0.01</BeatByStep>
<StepUnit>F</StepUnit>
<Status>A</Status>
</RequestBody>
</NeweggAPIRequest>
Example: Json, Request
POST https://api.newegg.com/marketplace/usa/contentmgmt/item/repricer/strategy/create?sellerid={sellerid}
Authorization: 720ddc067f4d115bd544aff46bc75634
Secretkey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json
{
"name": "test strategy",
"strategyTypeId": 4,
"beatByStep": 0.01,
"stepUnit": "F",
"status": "A"
}
Response Body
| Attribute | Format | Description |
|---|---|---|
| IsSuccess | Boolean | Get feed status operation: True: Successful False: Not successful |
| SellerID | String | Your seller ID |
| OperationType | String | Fixed value: CreateRepricerStrategy |
| ResponseDate | String | Your response date time (Pacific Standard Time) |
| Id | Integer | Primary key of the created strategy. |
| Name | String | Strategy name. |
| StrategyTypeId | Integer | Strategy type ID. |
| BeatByStep | Decimal | Price adjustment step value. |
| StepUnit | String | Step unit: P or F. |
| Status | String | Strategy status: I, A, or P. |
| SellerId | String | Seller ID. |
| PlatformCode | String | Platform code: USA, B2B, or CAN. |
| InUser | String | Created by. |
| InDate | DateTime | Creation timestamp. |
| LastEditUser | String | Last modified by. |
| LastEditDate | DateTime | Last modified timestamp. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
<IsSuccess>true</IsSuccess>
<SellerID>A2GS</SellerID>
<OperationType>CreateRepricerStrategy</OperationType>
<ResponseDate>2026-06-27T13:53:03.69374+08:00</ResponseDate>
<ResponseBody>
<Id>196</Id>
<Name>test strategy</Name>
<StrategyTypeId>4</StrategyTypeId>
<BeatByStep>0.01</BeatByStep>
<StepUnit>F</StepUnit>
<Status>A</Status>
<SellerId>A2GS</SellerId>
<PlatformCode>USA</PlatformCode>
<InUser>A2GS</InUser>
<InDate>2026-06-26T22:53:11</InDate>
<LastEditDate>2026-06-26T22:53:11</LastEditDate>
</ResponseBody>
</NeweggAPIResponse>
Example: Json, Response
{
"IsSuccess": true,
"SellerID": "A2GS",
"OperationType": "CreateRepricerStrategy",
"ResponseDate": "2026-06-27T13:53:03.69374+08:00",
"ResponseBody": {
"Id": 196,
"Name": "test strategy",
"StrategyTypeId": 4,
"BeatByStep": 0.01,
"StepUnit": "F",
"Status": "A",
"SellerId": "A2GS",
"PlatformCode": "USA",
"InUser": "A2GS",
"InDate": "2026-06-26T22:53:11",
"LastEditDate": "2026-06-26T22:53:11"
}
}
Request Failure Errors
| Error Code | Description |
|---|---|
| InvalidToken | Illegal secret key. |
| — | The provided SellerId is null. |
| CE003 | The 'BeatByStep' element is invalid - The string '0.001' is not a valid value. |
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<Errors>
<Error>
<Code>InvalidToken</Code>
<Message>Illegal secret key.</Message>
</Error>
</Errors>
Example: Json, Response
[
{
"Code": "InvalidToken",
"Message": "Illegal secret key."
}
]
Last updated: July 13, 2026